.medialibrary {
  display: grid;
  grid-gap: var(--g-gap-s);

  & h3 {
    font-size: var(--f-size-l-2)
  }

  & .teaser {
    margin-top: 1.5rem;
  }

  & .medialibrary__item {
    border: 1px solid rgb(var(--c-neutral-lighter));
  }

  & .medialibrary__text {
    padding: 1.5rem;
  }

  & .medialibrary__header {
    padding: 1rem 1.5rem;
    background: rgb(var(--c-neutral-lighter));
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  & .medialibrary__icon {
    color: rgb(var(--c-neutral-darker));
    font-size: 30px;
  }

  & .medialibrary__link {
    margin-top: 1rem;
    display: block;
  }

  & .category__image {
    height: 30px;
    max-width: 130px;
  }
}

.description__item {
  display: grid;
  grid-template-columns: 6rem 1fr;
}

.filter {
  margin-bottom: var(--g-gap);
  display: grid;
  gap: var(--g-gap-s);

  & a {
    text-decoration: none;
    color: rgb(var(--c-neutral-darker));
  }
}

.ui-slider-horizontal {
  min-width: 200px;
}

.facet-label {
  text-transform: uppercase;
  font-weight: var(--f-weight-b);
  letter-spacing: 0.02rem;
}

.filter__options {
  display: flex;
  grid-gap: var(--g-gap);
  gap: var(--g-gap);
  align-items: center;
  flex-wrap: wrap;
}

.filter__option {
  position: relative;
  cursor: pointer;
  display: inline-block;
}

.filter__headline {
  text-transform: uppercase;
  font-weight: var(--f-weight-m);
  padding-right: 40px;
  position: relative;
  cursor: pointer;
  display: inline-block;
  border-bottom: 2px solid transparent;

  & button {
    text-decoration: none;
    background: transparent;
    color: rgb(var(--c-neutral-darker));
    padding: 0;
  }
}

.filter__headline:after {
  padding: 4px;
  top: 25%;
  position: absolute;
  content: "";
  border-left: 2px solid rgb(var(--c-neutral-darker));
  border-top: 2px solid rgb(var(--c-neutral-darker));
  right: 10px;
  transform: rotate(-135deg);
}

ul.filter__items {
  display: none;
  padding: 0;
  position: absolute;
  border: 1px solid rgb(var(--c-neutral-light));
  background-color: rgb(var(--c-neutral-lightest));
  max-height: 300px;
  left: -24px;
  top: 100%;
  z-index: 100;
  min-width: 260px;
  box-shadow: 0 10px 20px rgba(var(--c-neutral-darkest), 0.1);
  overflow-y: auto;
}

.filter__option.-active ul.filter__items {
  display: block;
}

ul.filter__items li {
  list-style: none;
  margin: 0;
  padding: 12px 24px;
  white-space: nowrap;
}

ul.filter__items li a {
  text-decoration: none;
  display: block;
}

#tx-solr-search-functions-press {
  & .filter__options {
    display: grid;

    & .facet-type-dateRange .card {
      display: grid;
      grid-gap: 0.5rem;
      align-items: center;

      & .row {
        display: grid;
        grid-gap: 0.5rem;

        & .dateRange__wrap.-to {
          display: grid;
          grid-gap: 0.5rem;
          align-items: center;

          & .dateRange__to {
            text-transform: uppercase;
            font-weight: var(--f-weight-b);
            letter-spacing: 0.02rem;
          }
        }
      }
    }
  }
}

@media (hover: hover) {
  .filter__options ul.filter__items li:hover {
    background-color: rgb(var(--c-neutral-lighter));
    color: rgb(var(--c-neutral-darker));
    font-weight: var(--f-weight-m);
  }
}

.selected__link {
  text-transform: uppercase;
  font-size: var(--f-size-s-2);
  text-decoration: none;
  background: rgb(var(--c-neutral));
  color: rgb(var(--c-neutral-lightest));
  padding: 4px 10px;
  transition: background-color ease 0.3s;
}

.selected__link .fa-regular {
  margin-left: 0.2rem;
}

@media (hover: hover) {
  .selected__link:hover {
    background: rgb(var(--c-neutral-darker));
    color: rgb(var(--c-neutral-lightest));
  }
}

.filter__selected .facet {
  font-size: var(--f-size-s-2);
  text-decoration: none;
  background: rgb(var(--c-neutral));
  color: rgb(var(--c-neutral-lightest));
  padding: 0.2rem 0.5rem;
  transition: background-color ease 0.3s;
  text-transform: uppercase;

  &::after {
    content: '\f00d';
    font-family: FaSharpRegular;
    margin-left: 6px;
  }
}

.tx_solr {
  & .results-topic {
    font-size: var(--f-size-l-2);
    margin-bottom: 1rem;
  }

  & .result-found,
  & .search-result {
    margin-bottom: 2rem;
    display: block;
  }

  & .hidden-xs,
  & .relevance,
  & .query-debug {
    display: none;
  }

  & .col-lg-8,
  & .col-md-3,
  & .col-md-9 {
    width: 100%;
  }

  & .tx-solr-search-form {
    & .input-group {
      position: relative;
      margin-bottom: 1rem;
    }

    & .tx-solr-q {
      height: 50px;
      margin-bottom: 0;
    }

    & button {
      position: absolute;
      top: 0;
      right: 0;
      height: 100%;
      width: 50px;
      display: flex;
      justify-content: center;
      align-items: center;
      text-decoration: none;
      padding: 0;
      background: transparent;
      color: rgb(var(--c-neutral-darker));
    }

    & .fass {
      font-size: 24px;
    }
  }
}

.quicksearch {
  padding: 1rem;

  & .tx-solr-search-form .input-group {
    margin-bottom: 0;
  }

  & .tx-solr-q {
    min-width: 240px;
  }
}


.solr-pagination {
  & .pagination {
    display: flex;
    gap: 4px;
    flex-wrap: wrap;
  }

  & .page-item {
    list-style: none;
  }

  & .page-link {
    left: auto;
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(var(--c-neutral-lighter));
    text-decoration: none;

    &:hover {
      background: rgb(var(--c-neutral-darker));
      color: rgb(var(--c-neutral-lighter));
    }
  }
}

/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 640px) {
  .medialibrary {
    grid-template-columns: repeat(2, 1fr);
  }
  #tx-solr-search-functions-press {
    & .filter__options {
      display: flex;

      & .facet-type-dateRange .card {
        grid-template-columns: max-content 1fr;
        grid-gap: 1rem;

        & .row {
          grid-template-columns: 1fr 1fr;

          & .dateRange__wrap.-to {
            grid-template-columns: max-content 1fr;
            grid-gap: 1rem;
          }
        }
      }
    }
  }
}

@media (min-width: 1024px) {
  .medialibrary {
    grid-template-columns: repeat(3, 1fr);
  }
  .medialibrary.-press {
    grid-template-columns: repeat(2, 1fr);
  }
}